Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.query
Class TaskSummaryImpl

    java.lang.Object
      org.jbpm.services.task.query.TaskSummaryImpl

All Implemented Interfaces:
  Externalizable, Serializable, QuickTaskSummary, TaskSummary, org.kie.internal.task.api.model.InternalTaskSummary

    public class TaskSummaryImpl

extends Object
implements org.kie.internal.task.api.model.InternalTaskSummary

See Also:
  Serialized Form

Constructor Summary
`TaskSummaryImpl()`
`TaskSummaryImpl(long id, String name, String description, Status status, int priority, String actualOwner, String createdBy, Date createdOn, Date activationTime, Date expirationTime, String processId, long processInstanceId, long parentId, String deploymentId)`
`TaskSummaryImpl(long id, String name, String subject, String description, Status status, int priority, boolean skippable, String actualOwner, String createdBy, Date createdOn, Date activationTime, Date expirationTime, String processId, long processInstanceId, long processSessionId, long parentId, String deploymentId)`
`TaskSummaryImpl(long id, String name, String subject, String description, Status status, int priority, boolean skipable, User actualOwner, User createdBy, Date createdOn, Date activationTime, Date expirationTime, String processId, long processSessionId, long processInstanceId, String deploymentId, org.kie.internal.task.api.model.SubTasksStrategy subTaskStrategy, long parentId)`

Method Summary
`boolean` | `equals(Object obj)`
`Date` | `getActivationTime()`
`User` | `getActualOwner()`
`String` | `getActualOwnerId()`
`User` | `getCreatedBy()`
`String` | `getCreatedById()`
`Date` | `getCreatedOn()`
`String` | `getDeploymentId()`
`String` | `getDescription()`
`Date` | `getExpirationTime()`
`Long` | `getId()`
`String` | `getName()`
`Long` | `getParentId()`
`List<String>` | `getPotentialOwners()` Deprecated.
`Integer` | `getPriority()`
`String` | `getProcessId()`
`Long` | `getProcessInstanceId()`
`Long` | `getProcessSessionId()`
`Status` | `getStatus()`
`String` | `getStatusId()`
`String` | `getSubject()`
`org.kie.internal.task.api.model.SubTasksStrategy` | `getSubTaskStrategy()`
`int` | `hashCode()`
`Boolean` | `isQuickTaskSummary()`
`Boolean` | `isSkipable()`
`void` | `readExternal(ObjectInput in)`
`void` | `setActivationTime(Date activationTime)`
`void` | `setActualOwner(User actualOwner)`
`void` | `setCreatedBy(User createdBy)`
`void` | `setCreatedOn(Date createdOn)`
`void` | `setDescription(String description)`
`void` | `setExpirationTime(Date expirationTime)`
`void` | `setId(long id)`
`void` | `setName(String name)`
`void` | `setParentId(long parentId)`
`void` | `setPotentialOwners(List<String> potentialOwners)` Deprecated.
`void` | `setPriority(int priority)`
`void` | `setProcessId(String processId)`
`void` | `setProcessInstanceId(long processInstanceId)`
`void` | `setProcessSessionId(long processSessionId)`
`void` | `setSkipable(boolean skipable)`
`void` | `setStatus(Status status)`
`void` | `setSubject(String subject)`
`void` | `setSubTaskStrategy(org.kie.internal.task.api.model.SubTasksStrategy subTaskStrategy)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskSummaryImpl

    public TaskSummaryImpl(long id,
                           String name,
                           String subject,
                           String description,
                           Status status,
                           int priority,
                           boolean skipable,
                           User actualOwner,
                           User createdBy,
                           Date createdOn,
                           Date activationTime,
                           Date expirationTime,
                           String processId,
                           long processSessionId,
                           long processInstanceId,
                           String deploymentId,
                           org.kie.internal.task.api.model.SubTasksStrategy subTaskStrategy,
                           long parentId)

### TaskSummaryImpl

    public TaskSummaryImpl(long id,
                           String name,
                           String subject,
                           String description,
                           Status status,
                           int priority,
                           boolean skippable,
                           String actualOwner,
                           String createdBy,
                           Date createdOn,
                           Date activationTime,
                           Date expirationTime,
                           String processId,
                           long processInstanceId,
                           long processSessionId,
                           long parentId,
                           String deploymentId)

### TaskSummaryImpl

    public TaskSummaryImpl(long id,
                           String name,
                           String description,
                           Status status,
                           int priority,
                           String actualOwner,
                           String createdBy,
                           Date createdOn,
                           Date activationTime,
                           Date expirationTime,
                           String processId,
                           long processInstanceId,
                           long parentId,
                           String deploymentId)

### TaskSummaryImpl

    public TaskSummaryImpl()

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public Long getId()

  Specified by:
    `getId` in interface `QuickTaskSummary`

### setId

    public void setId(long id)

  Specified by:
    `setId` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### getProcessInstanceId

    public Long getProcessInstanceId()

  Specified by:
    `getProcessInstanceId` in interface `QuickTaskSummary`

### setProcessInstanceId

    public void setProcessInstanceId(long processInstanceId)

  Specified by:
    `setProcessInstanceId` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### getName

    public String getName()

  Specified by:
    `getName` in interface `QuickTaskSummary`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### getSubject

    public String getSubject()

  Specified by:
    `getSubject` in interface `TaskSummary`

### setSubject

    public void setSubject(String subject)

  Specified by:
    `setSubject` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `TaskSummary`

### setDescription

    public void setDescription(String description)

  Specified by:
    `setDescription` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### getStatus

    public Status getStatus()

  Specified by:
    `getStatus` in interface `TaskSummary`

### setStatus

    public void setStatus(Status status)

  Specified by:
    `setStatus` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### getPriority

    public Integer getPriority()

  Specified by:
    `getPriority` in interface `QuickTaskSummary`

### setPriority

    public void setPriority(int priority)

  Specified by:
    `setPriority` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### isSkipable

    public Boolean isSkipable()

  Specified by:
    `isSkipable` in interface `TaskSummary`

### setSkipable

    public void setSkipable(boolean skipable)

  Specified by:
    `setSkipable` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### getActualOwner

    public User getActualOwner()

  Specified by:
    `getActualOwner` in interface `TaskSummary`

### setActualOwner

    public void setActualOwner(User actualOwner)

  Specified by:
    `setActualOwner` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### getCreatedBy

    public User getCreatedBy()

  Specified by:
    `getCreatedBy` in interface `TaskSummary`

### setCreatedBy

    public void setCreatedBy(User createdBy)

  Specified by:
    `setCreatedBy` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### getCreatedOn

    public Date getCreatedOn()

  Specified by:
    `getCreatedOn` in interface `QuickTaskSummary`

### setCreatedOn

    public void setCreatedOn(Date createdOn)

  Specified by:
    `setCreatedOn` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### getActivationTime

    public Date getActivationTime()

  Specified by:
    `getActivationTime` in interface `QuickTaskSummary`

### setActivationTime

    public void setActivationTime(Date activationTime)

  Specified by:
    `setActivationTime` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### getExpirationTime

    public Date getExpirationTime()

  Specified by:
    `getExpirationTime` in interface `QuickTaskSummary`

### setExpirationTime

    public void setExpirationTime(Date expirationTime)

  Specified by:
    `setExpirationTime` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### getProcessId

    public String getProcessId()

  Specified by:
    `getProcessId` in interface `QuickTaskSummary`

### setProcessId

    public void setProcessId(String processId)

  Specified by:
    `setProcessId` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### getProcessSessionId

    public Long getProcessSessionId()

  Specified by:
    `getProcessSessionId` in interface `TaskSummary`

### setProcessSessionId

    public void setProcessSessionId(long processSessionId)

  Specified by:
    `setProcessSessionId` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### getSubTaskStrategy

    public org.kie.internal.task.api.model.SubTasksStrategy getSubTaskStrategy()

  Specified by:
    `getSubTaskStrategy` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### setSubTaskStrategy

    public void setSubTaskStrategy(org.kie.internal.task.api.model.SubTasksStrategy subTaskStrategy)

  Specified by:
    `setSubTaskStrategy` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### getParentId

    public Long getParentId()

  Specified by:
    `getParentId` in interface `QuickTaskSummary`
  Specified by:
    `getParentId` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### setParentId

    public void setParentId(long parentId)

  Specified by:
    `setParentId` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### getPotentialOwners

    @Deprecated
    public List<String> getPotentialOwners()

  Deprecated.

  Specified by:
    `getPotentialOwners` in interface `TaskSummary`

### setPotentialOwners

    @Deprecated
    public void setPotentialOwners(List<String> potentialOwners)

  Deprecated.

  Specified by:
    `setPotentialOwners` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

### isQuickTaskSummary

    public Boolean isQuickTaskSummary()

  Specified by:
    `isQuickTaskSummary` in interface `TaskSummary`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getStatusId

    public String getStatusId()

  Specified by:
    `getStatusId` in interface `QuickTaskSummary`

### getActualOwnerId

    public String getActualOwnerId()

  Specified by:
    `getActualOwnerId` in interface `QuickTaskSummary`

### getCreatedById

    public String getCreatedById()

  Specified by:
    `getCreatedById` in interface `QuickTaskSummary`

### getDeploymentId

    public String getDeploymentId()

  Specified by:
    `getDeploymentId` in interface `QuickTaskSummary`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.